/*
 * Copyright [2022] [https://www.baiduc.com]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.baiduc.com
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.baiduc.com
 */
package vip.xiaonuo.erp.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.erp.entity.SysBaseFilterInfo;
import vip.xiaonuo.erp.param.SysBaseFilterInfoAddParam;
import vip.xiaonuo.erp.param.SysBaseFilterInfoEditParam;
import vip.xiaonuo.erp.param.SysBaseFilterInfoIdParam;
import vip.xiaonuo.erp.param.SysBaseFilterInfoPageParam;

import java.util.List;

/**
 * 保存每个用户的查询选择Service接口
 *
 * @author 1
 * @date  2025/03/01 16:53
 **/
public interface SysBaseFilterInfoService extends IService<SysBaseFilterInfo> {

    /**
     * 获取保存每个用户的查询选择分页
     *
     * @author 1
     * @date  2025/03/01 16:53
     */
    Page<SysBaseFilterInfo> page(SysBaseFilterInfoPageParam sysBaseFilterInfoPageParam);

    /**
     * 添加保存每个用户的查询选择
     *
     * @author 1
     * @date  2025/03/01 16:53
     */
    void add(SysBaseFilterInfoAddParam sysBaseFilterInfoAddParam);

    /**
     * 编辑保存每个用户的查询选择
     *
     * @author 1
     * @date  2025/03/01 16:53
     */
    void edit(SysBaseFilterInfoEditParam sysBaseFilterInfoEditParam);

    /**
     * 删除保存每个用户的查询选择
     *
     * @author 1
     * @date  2025/03/01 16:53
     */
    void delete(List<SysBaseFilterInfoIdParam> sysBaseFilterInfoIdParamList);

    /**
     * 获取保存每个用户的查询选择详情
     *
     * @author 1
     * @date  2025/03/01 16:53
     */
    SysBaseFilterInfo detail(SysBaseFilterInfoIdParam sysBaseFilterInfoIdParam);

    /**
     * 获取保存每个用户的查询选择详情
     *
     * @author 1
     * @date  2025/03/01 16:53
     **/
    SysBaseFilterInfo queryEntity(Integer id);
}
