/*
 * Copyright [2022] [https://www.baiduc.com]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.baiduc.com
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.baiduc.com
 */
package vip.xiaonuo.hr.modular.basedepartment.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.hr.modular.basedepartment.entity.HrBaseDepartment;
import vip.xiaonuo.hr.modular.basedepartment.param.HrBaseDepartmentAddParam;
import vip.xiaonuo.hr.modular.basedepartment.param.HrBaseDepartmentEditParam;
import vip.xiaonuo.hr.modular.basedepartment.param.HrBaseDepartmentIdParam;
import vip.xiaonuo.hr.modular.basedepartment.param.HrBaseDepartmentPageParam;

import java.util.List;

/**
 * 人员部门Service接口
 *
 * @author 余
 * @date  2024/12/16 11:09
 **/
public interface HrBaseDepartmentService extends IService<HrBaseDepartment> {

    /**
     * 获取人员部门分页
     *
     * @author 余
     * @date  2024/12/16 11:09
     */
    Page<HrBaseDepartment> page(HrBaseDepartmentPageParam hrBaseDepartmentPageParam);

    /**
     * 添加人员部门
     *
     * @author 余
     * @date  2024/12/16 11:09
     */
    void add(HrBaseDepartmentAddParam hrBaseDepartmentAddParam);

    /**
     * 编辑人员部门
     *
     * @author 余
     * @date  2024/12/16 11:09
     */
    void edit(HrBaseDepartmentEditParam hrBaseDepartmentEditParam);

    /**
     * 删除人员部门
     *
     * @author 余
     * @date  2024/12/16 11:09
     */
    void delete(List<HrBaseDepartmentIdParam> hrBaseDepartmentIdParamList);

    /**
     * 获取人员部门详情
     *
     * @author 余
     * @date  2024/12/16 11:09
     */
    HrBaseDepartment detail(HrBaseDepartmentIdParam hrBaseDepartmentIdParam);

    /**
     * 获取人员部门详情
     *
     * @author 余
     * @date  2024/12/16 11:09
     **/
    HrBaseDepartment queryEntity(String id);
}
