package vip.xiaonuo.production.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 生产管控指标
 * </p>
 *
 * @author author
 * @since 2024-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("production_target")
public class ProductionTarget implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 计划生产量
     */
    @ApiModelProperty(value = "计划生产量",position =1 )
    private String planProduction;

    /**
     * 计划完成率
     */
    @ApiModelProperty(value = "计划完成率",position =2 )
    private String planCompleteRate;

    /**
     * 实际产量
     */
    @ApiModelProperty(value = "实际产量",position =3 )
    private String actualProduction;

    /**
     * 收率
     */
    @ApiModelProperty(value = "收率",position = 4)
    private String receiveRate;

    /**
     * 生成能耗情况
     */
    @ApiModelProperty(value = "生成能耗情况",position =5 )
    private String productionEnergy;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 6)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position =7 )
    private String orgId;

    /**
     * 车间名称
     */
    @ApiModelProperty(value = "车间名称",position =8 )
    private String locationName;


}
