package vip.xiaonuo.sale.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 销售重要产品单价
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sale_price")
public class SalePrice implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 产品名称
     */
    @ApiModelProperty(value = "产品名称",position =1 )
    private String produceName;

    /**
     * 单价
     */
    @ApiModelProperty(value = "单价",position = 2)
    private String price;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position =3)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position = 4)
    private String orgId;


}
